导读 随着第19版维护更新(Linux 4.17.19)的发布,Linux 4.17内核系列已经在本周早些时候走到了生命的尽头,它将不会收到进一步的更新。

由Linus Torvalds于2018年6月3日发布的Linux 4.17内核系列引入了更好的硬件支持,这得益于对英特尔Cannon Lake架构的支持,以及对Nvidia Tegra Xavier处理器的支持。

它还增加了对Andes NDS32 risclike体系结构和AMD即将推出的Radeon Vega 12图形处理单元的支持,并废弃了一些微体系结构,包括Blackfin、CRIS、FR-V、M32R、Metag、MN10300、SCORE和TILE。

Linux kernel 4.17还支持在开源的AMDGPU驱动程序中支持HDMI音频/声音的显示代码(DC),增加了对英特尔高带宽数字内容保护(HDCP)数字拷贝保护的支持,并改进了电源管理。

天下没有不散之宴席,Linux Kernel 4.17在2018年8月24日发布的Linux 4.17.19维护更新中达到了使用寿命。这意味着不会有任何进一步的更新,因此建议升级尽快到Linux Kernel 4.18。

“我宣布发布4.17.19内核。注意,这是要发布的最后4.17.y内核,它现在已经过期了。请暂时转到4.18.y,”Greg Kroah-Hartman在邮件列表公告中说。 “4.17内核系列的所有用户都必须升级。”

本周早些时候,Linus Torvalds于2018年8月12日发布了Linux内核4.18,该版本介绍了针对32位ARM架构的Spectre Variant 1和2缓解,以及针对ARM64(AArch64)和ARMv8架构的Spectre Variant 4缓解。

Linux内核4.18中的新功能更好地支持USB Type-C和USB 3.2连接,官方支持Qualcomm的Snapdragon 845 ARM SoC,即32位(x86)架构上的eBPF程序的即时编译器,以及更好的放弃对F2FS文件系统的支持。

如果你不能通过编译kernel.org网站上提供的最新版本升级到Linux内核4.18,请不要犹豫,要求操作系统供应商将内核包升级到Linux 4.18内核系列。如果使用长期支持的内核,就不应该升级。

原文来自:https://www.linuxidc.com/Linux/2018-08/153806.htm

本文地址:https://www.linuxprobe.com/linux-kernel-version.html

编辑:开玩笑,审核员:逄增宝